RewriteEngine On
RewriteCond %{HTTP_HOST} ^pfefferspraylegal.de$ [NC]
RewriteRule ^(.*)$ http://www.pfefferspraylegal.de/$1 [R=301,L]

RewriteCond %{REQUEST_URI} ^\/index.html$
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)$ http://www.pfefferspraylegal.de/ [L,R=301]